plugins {
    kotlin("jvm") version "2.0.0"
    application
    distribution
}

application {
    mainClass.set("xyz.maxwellj.chookpen.client.MainKt")
    layout.buildDirectory.dir("distributions/")
}

group = "xyz.maxwellj.chookpen.client"
version = "0.0.2"

repositories {
    mavenCentral()
}

tasks.withType<Jar> {
    manifest {
        attributes["Main-Class"] = "xyz.maxwellj.chookpen.client.MainKt"
    }
}

dependencies {
    testImplementation(kotlin("test"))
    implementation("com.github.kittinunf.fuel:fuel:3.0.0-alpha03")
}

tasks.test {
    useJUnitPlatform()
}
kotlin {
    jvmToolchain(17)
}
